Subject: bug#7459: 23.2; "Salutation" should not actually be included in bug mails

From: Glenn Morris <[email-masked]>
Date: Mon, 22 Nov 2010 19:46:25 -0500

Robin Green wrote:

> I didn't intentionally defeat it. I use wanderlust - that's probably why.

Definitely - only the "built-in" mail clients are supported.
Maybe you could propose a patch for report-emacs-bug. This is the
relevant section:

    (cond ((memq mail-user-agent '(message-user-agent gnus-user-agent))
           (setq report-emacs-bug-send-command "message-send-and-exit"
                 report-emacs-bug-send-hook 'message-send-hook))
          ((eq mail-user-agent 'sendmail-user-agent)
           (setq report-emacs-bug-send-command "mail-send-and-exit"
                 report-emacs-bug-send-hook 'mail-send-hook))
          ((eq mail-user-agent 'mh-e-user-agent)
           (setq report-emacs-bug-send-command "mh-send-letter"
                 report-emacs-bug-send-hook 'mh-before-send-letter-hook)))

Though I'm not actually sure whether it would be appropriate and/or
worth it to handle other mail clients here.